Installer - Bug #14667

Disable TRACE in Apache
04/15/2016 10:24 AM - Brian Shaw

Status: Closed

Priority: Normal
Assignee:

Category: External modules

Target version:

Difficulty: trivial Fixed in Releases:

Triaged: Found in Releases: 1.10.2
Bugzilla link: 1271144 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/236

Description
TRACE should be disabled in Apache per CERT Vulnerability Note VU#867593 (http://www.kb.cert.org/vuls/id/867593)

The attached patch file disables TRACE, ServerSignature, and minimizes ServerTokens to reduce the gathering of attack vector data
in a production environment.

Associated revisions

Revision 267653fa - 07/12/2017 07:55 AM - Tomer Brisker
Fixes #20282, #14667 - Provide more secure defaults for apache (#236)

This sets the default ciphersuites to the recommended for the time of
writing for the supported servers and browsers. This also disables
TRACE method, which is not a security vulnerability but comes up often
in automated security audits and isn't required for proper functioning

of Foreman.

History

#1 - 04/15/2016 10:25 AM - Brian Shaw
- File httpd.conf-p0.patch added

Actually attaching the patch file.

#2 - 04/15/2016 10:27 AM - Dominic Cleal
- Project changed from Foreman to Installer
- Category changed from Security to External modules

- Status changed from New to Feedback

I'm guessing you're using the Foreman installer? If so, the Apache configuration is managed by the puppetlabs-apache module, so I'd recommend
sending a patch to that project if they'll accept it to change the defaults: https://github.com/puppetlabs/puppetlabs-apache

#3 - 04/15/2016 10:35 AM - Brian Shaw

Thank you for the quick response. | am using the installer but, didn't realize that was part of puppet. | will file a change request with them.

Brian

#4 - 04/15/2016 10:55 AM - Dominic Cleal
- Status changed from Feedback to Rejected

That'd be great, thanks.

#5 - 07/12/2017 09:33 AM - Tomer Brisker
http://www.kb.cert.org/vuls/id/867593
https://github.com/puppetlabs/puppetlabs-apache

- Status changed from Rejected to Closed
- Pull request https://github.com/theforeman/foreman-installer/pull/236 added

#6 - 01/01/2018 12:49 PM - Tomer Brisker
- Bugzilla link set to 1271144
